Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc.ant
Class XJavadocFilter

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.selectors.BaseSelector
                  org.apache.tools.ant.types.selectors.BaseExtendSelector
                      xjavadoc.ant.XJavadocFilter

All Implemented Interfaces:
  org.apache.tools.ant.types.selectors.ExtendFileSelector, org.apache.tools.ant.types.selectors.FileSelector, org.apache.tools.ant.types.Parameterizable

public class XJavadocFilter
extends org.apache.tools.ant.types.selectors.BaseExtendSelector

Custom file filter for Ant based on XJavadoc. Filters java sources according to some Java specific features.
Usage:

    <copy todir="filtered-src">
       <fileset dir="src">
          <or>
             <custom classname="xjavadoc.XJavadocFilter" classpathref="lib.jars">
                <parameter name="implements" value="javax.ejb.EntityBean" />
             </custom>
             <custom classname="xjavadoc.XJavadocFilter" classpathref="lib.jars">
                <parameter name="implements" value="javax.ejb.SessionBean" />
             </custom>
          </or>
       </fileset>
    </copy>

Valid parameters are:

implements
  full qualified name of the class or interface to implement
contains-tag
  javadoc tag to contain

Version:
  $Revision: 1.6 $
Author:
  Ludovic Claude

Field Summary
`(package private) XJavaDoc` | `_xJavaDoc`

Fields inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`parameters`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`XJavadocFilter()` Constructor for XJavadocFilter.

Method Summary
`boolean` | `isSelected(File basedir, String filename, File file)`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector
`getParameters, setParameters`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError, validate, verifySettings`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _xJavaDoc

    XJavaDoc _xJavaDoc

Constructor Detail

### XJavadocFilter

    public XJavadocFilter()

  Constructor for XJavadocFilter.

Method Detail

### isSelected

    public boolean isSelected(File basedir,
                              String filename,
                              File file)
                       throws org.apache.tools.ant.BuildException

  Parameters:
    `basedir` -
    `filename` -
    `file` -
  Returns:
  Throws:
    `org.apache.tools.ant.BuildException`
  See Also:
    `FileSelector.isSelected(File, String, File)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.